#pragma once

#include <chrono>
#include <cstdint>


namespace drp::util {


std::uint32_t encoding_mpg123_to_PulseAudio(int encoding_mpg123);

std::chrono::milliseconds get_audio_chunk_duration(
    long sampleRate,
    int channels,
    int encodingSize,
    std::size_t length
);

}